Subject: bug#44902: closed (Re: [bug#44902] [PATCH] gnu: loko: Update to 0.7.0)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 29 Nov 2020 04:39:02 +0000

Your bug report

#44902: [PATCH] gnu: loko: Update to 0.7.0

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44902: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44902
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#44902] [PATCH] gnu: loko: Update to 0.7.0
From: Kei Kebreau <[email-masked]>
To: Martin Becze <[email-masked]>
Cc: [email-masked]
Date: Sat, 28 Nov 2020 23:37:59 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Okay, I've amended the comment at the top of the arguments section and
pushed the commit to master as 40352788de.  Thanks again!

P.S.: I'm seeing now that "gnu: loko..." should have been "gnu: loko-scheme..."
in the first line of the commit message, but it's a bit late now!

Martin Becze <[email-masked]> writes:

> The tests are still a work in progress.
>
> On 11/27/20 2:56 PM, Kei Kebreau wrote:
>> Hi Martin!
>> Thanks for submitting this patch.  I noticed a section of the
>> loko-scheme package mentions that some R7RS tests failed as of version
>> 0.6.0.  Are these tests fixed and runnable as of version 0.7.0?
>> Kei
>> 
>> Martin Becze <[email-masked]> writes:
>> 

Subject: [PATCH] gnu: loko: Update to 0.7.0
From: Martin Becze <[email-masked]>
To: [email-masked]
Cc: Martin Becze <[email-masked]>
Date: Fri, 27 Nov 2020 08:54:44 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/loko.scm (loko-scheme): Update to 0.7.0
---
 gnu/packages/loko.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/loko.scm b/gnu/packages/loko.scm
index f6699877f7..737f7250fa 100644
--- a/gnu/packages/loko.scm
+++ b/gnu/packages/loko.scm
@@ -29,7 +29,7 @@
 (define-public loko-scheme
   (package
     (name "loko-scheme")
-    (version "0.6.0")
+    (version "0.7.0")
     (source
      (origin
        (method git-fetch)
@@ -37,7 +37,7 @@
              (url "https://gitlab.com/weinholt/loko")
              (commit (string-append "v" version))))
        (sha256
-        (base32 "019jlh3lywy912cfz689c9fxgf4bi5700i9k04g7sl5w5gchj36m"))
+        (base32 "1441aarw3vy14zdxyab495ag2fch04v4j89krhbqnqfkz6mdi0vy"))
        (file-name (git-file-name name version))))
     (build-system gnu-build-system)
     (arguments
-- 
2.29.2